# This file is part of the sos project: https://github.com/sosreport/sos
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions of
# version 2 of the GNU General Public License.
#
# See the LICENSE file in the source distribution for further information.

import glob
from sos.policies.distros.redhat import RedHatPolicy
from sos.report.plugins import Plugin, IndependentPlugin, PluginOpt
import os
import sys

def get_third_extend_cmd(filename):
    try:
        cmds = []
        if os.path.exists(filename):
            with open(filename) as fd:
                for line in fd:
                    line.strip()
                    if len(line) <= 2:
                        continue
                    if line[0] =="#":
                        continue
                    cmds.append(line)
            return cmds
        else:
            return None
    except Exception as e:
        cmd="echo %s > /tmp/error.txt"%str(e)
        os.system(cmd)
        cmds.append("cat /tmp/error.txt")
        return cmds

class Third_extend_script(Plugin, IndependentPlugin):
    """

    """

    short_desc = 'Linux third extend script'

    plugin_name = 'third_extend'
    profiles = ('system', 'hardware', 'kernel')



    def setup(self):

        cmds= get_third_extend_cmd(self.get_option("third_extend_script"))
        if cmds == None:
            pass
        else:
            self.add_cmd_output(cmds)


# vim: set et ts=4 sw=4 :
